Subject: muttprint: Line 591: Latex didn't work. There's no DVI file.

From: Alexandre Lymberopoulos <[email-masked]>
Date: Tue, 12 Nov 2019 09:09:50 -0300

Package: muttprint
Version: 0.73-8
Severity: important

Dear Maintainer,

I just tried to print an e-mail from mutt and got that message. I have
latex working on my system and have no clue about this bug.

The configuration file is the default provided with the package. I
copied it to my $HOME and changed option to print the result to a file,
producing a few files (a .tex among them) in a subdirectory of /tmp/,
which was proccessed succesfully with pdflatex. Then I tried to repeat
this and even the tex file was not generated anymore.

I can provide any further information upon request.

Thanks in advance,
Alexandre

-- System Information:
Debian Release: bullseye/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 5.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages muttprint depends on:
ii  libtext-iconv-perl         1.7-7
ii  perl                       5.30.0-9
ii  texlive-fonts-recommended  2019.20190930-1
ii  texlive-latex-extra        2019.20191030-1
ii  texlive-latex-recommended  2019.20190930-1

Versions of packages muttprint recommends:
ii  emacs-gtk [mail-reader]  1:26.1+1-4
ii  libtimedate-perl         2.3000-2
ii  mailutils [mail-reader]  1:3.7-2
ii  mutt [mail-reader]       1.12.2-1

Versions of packages muttprint suggests:
pn  compface                         <none>
ii  dialog                           1.3-20190808-1
ii  emacs-gtk [news-reader]          1:26.1+1-4
ii  imagemagick                      8:6.9.10.23+dfsg-2.1+b2
ii  imagemagick-6.q16 [imagemagick]  8:6.9.10.23+dfsg-2.1+b2
pn  muttprint-manual                 <none>
pn  ospics                           <none>
ii  psutils                          1.17.dfsg-4
ii  texlive-fonts-extra              2019.20191030-1

-- no debconf information

-- 
===============================================================================
Alexandre Lymberopoulos - [email-masked] - http://www.ime.usp.br/~lymber
Instituto de Matemática e Estatística - Universidade de São Paulo
===============================================================================